Subject: RE: How to increase download speed for UART

From: "Mitchell, Earl" <[email-masked]>
Date: Fri, 26 Sep 2003 11:04:29 -0700

YAMON only prints '.' feedback for 
ethernet download, unless you modified it.
Download a copy of TeraTerm and use that
instead of Hyperterminal. Then you can use
the "Send File" command under File pulldown.
This gives you feedback showing how many
bytes have been transferred. 

I was able to load a 6.4MB linux srec
image in 27 minutes on my Malta 4Kc board
with baud rate set to 38.4K. Using TFTP 
over ethernet it takes 17 seconds. Another
alternative is to consider buying an EJTAG probe 
and loading thru that. The probes will probably load
something this size within 1-4 minutes. This
is assuming you have EJTAG interface available.
But I wouldn't buy a probe just to download
code. ;-) 

-earlm

-----Original Message-----
From: Pete Popov [mailto:[email-masked]]
Sent: Friday, September 26, 2003 9:09 AM
To: Adeel Malik
Cc: [email-masked]
Subject: RE: How to increase download speed for UART

On Fri, 2003-09-26 at 08:41, Adeel Malik wrote:
> Yes this is an Motorola's S-Record File. Do you think that I am missing
> something?. I am using YAMON to configure the UART's settings on the board
> and HyperTerminal on the Host the transfer this file.

Yes, I think there's something definitely wrong. I wonder if the
download is even in progress... You're using windows and hyperterm? Try
it on linux but just doing "cat <srec file name>  > /dev/ttyS0",
assuming you're using the first serial port to connect to the target.
Yamon gives you feedback of the download progress by printing dots, when
downloading over ethernet. I imagine it does the same when downloading
over serial port, so if you are not seeing any progress feedback, then
perhaps that's another indication that your download is not working.

Pete

> ADEEL 
> 
> 
> -----Original Message-----
> From: Pete Popov [mailto:[email-masked]]
> Sent: Friday, September 26, 2003 8:45 PM
> To: Adeel Malik
> Cc: [email-masked]
> Subject: Re: How to increase download speed for UART
> 
> 
> On Fri, 2003-09-26 at 08:32, Adeel Malik wrote:
> > Hi All,
> >          I am porting Linux to a MIPS based development platform. The
> > UART on the board provides a maximum baud rate of 115 kbps. But the
> > download time for the kernel Image of about 4.3 MB is about 4 hours
> > !!!!!. 
> 
> 4.3MB? Is this an SREC file? I've downloaded images over the serial port
> (srec files) and it takes no more than 10 minutes.
> 
> Pete
> 
> > Can someone help me address this problem ?. 
> >  
> > (I can't download the kernel image via tftp server using ethernet, as
> > the CPU doesn't have the MAC interface).
> >  
> > Regards,
> > ADEEL MALIK,
> >  
> > 
> 
>